Index: package_tags/xvm-mail-config/0.0.5/aliases.xvm
===================================================================
--- package_tags/xvm-mail-config/0.0.5/aliases.xvm	(revision 1685)
+++ package_tags/xvm-mail-config/0.0.5/aliases.xvm	(revision 1685)
@@ -0,0 +1,3 @@
+# See man 5 aliases for format
+postmaster:    root
+root:	       |/usr/sbin/xvm-mail-relay
Index: package_tags/xvm-mail-config/0.0.5/debian/changelog
===================================================================
--- package_tags/xvm-mail-config/0.0.5/debian/changelog	(revision 1685)
+++ package_tags/xvm-mail-config/0.0.5/debian/changelog	(revision 1685)
@@ -0,0 +1,29 @@
+xvm-mail-config (0.0.5) unstable; urgency=low
+
+  * Call the relay script by the correct name
+
+ -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:23:53 -0500
+
+xvm-mail-config (0.0.4) unstable; urgency=low
+
+  * Fix the aliases file so it actually works
+
+ -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 16:30:29 -0500
+
+xvm-mail-config (0.0.3) unstable; urgency=low
+
+  * Fix a typo in the aliases file
+
+ -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:36:34 -0500
+
+xvm-mail-config (0.0.2) unstable; urgency=low
+
+  * Restart postfix after configuring it
+
+ -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:04:29 -0500
+
+xvm-mail-config (0.0.1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 20:09:50 -0500
Index: package_tags/xvm-mail-config/0.0.5/debian/compat
===================================================================
--- package_tags/xvm-mail-config/0.0.5/debian/compat	(revision 1685)
+++ package_tags/xvm-mail-config/0.0.5/debian/compat	(revision 1685)
@@ -0,0 +1,1 @@
+5
Index: package_tags/xvm-mail-config/0.0.5/debian/control
===================================================================
--- package_tags/xvm-mail-config/0.0.5/debian/control	(revision 1685)
+++ package_tags/xvm-mail-config/0.0.5/debian/control	(revision 1685)
@@ -0,0 +1,15 @@
+Source: xvm-mail-config
+Section: servers
+Priority: extra
+Maintainer: SIPB XVM Project <xvm@mit.edu>
+Build-Depends: cdbs, debhelper (>= 5), config-package-dev
+Standards-Version: 3.8.0
+
+Package: xvm-mail-config
+Architecture: all
+Pre-Depends: debconf
+Depends: ${shlibs:Depends}, ${misc:Depends}, postfix, procmail
+Provides: invirt-mail-config
+Description: Configure mail forwarding on XVM Servers
+ Configure an MTA for all servers. Accept mail on the 10.5.128/24
+ backend network. Forward all mail for root to xvm-root@mit.edu
Index: package_tags/xvm-mail-config/0.0.5/debian/copyright
===================================================================
--- package_tags/xvm-mail-config/0.0.5/debian/copyright	(revision 1685)
+++ package_tags/xvm-mail-config/0.0.5/debian/copyright	(revision 1685)
@@ -0,0 +1,17 @@
+This software was written for the XVM project <xvm@mit.edu>
+of the MIT Student Information Processing Board.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/xvm-mail-config/0.0.5/debian/rules
===================================================================
--- package_tags/xvm-mail-config/0.0.5/debian/rules	(revision 1685)
+++ package_tags/xvm-mail-config/0.0.5/debian/rules	(revision 1685)
@@ -0,0 +1,10 @@
+#!/usr/bin/make -f
+
+DEB_DIVERT_EXTENSION = .xvm
+
+DEB_DIVERT_FILES_xvm-mail-config += \
+	/etc/postfix/main.cf.xvm \
+	/etc/aliases.xvm
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/config-package.mk
Index: package_tags/xvm-mail-config/0.0.5/debian/xvm-mail-config.install
===================================================================
--- package_tags/xvm-mail-config/0.0.5/debian/xvm-mail-config.install	(revision 1685)
+++ package_tags/xvm-mail-config/0.0.5/debian/xvm-mail-config.install	(revision 1685)
@@ -0,0 +1,3 @@
+main.cf.xvm etc/postfix
+aliases.xvm etc
+xvm-mail-relay usr/sbin
Index: package_tags/xvm-mail-config/0.0.5/debian/xvm-mail-config.postinst
===================================================================
--- package_tags/xvm-mail-config/0.0.5/debian/xvm-mail-config.postinst	(revision 1685)
+++ package_tags/xvm-mail-config/0.0.5/debian/xvm-mail-config.postinst	(revision 1685)
@@ -0,0 +1,43 @@
+#!/bin/sh
+# postinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        newaliases
+        invoke-rc.d postfix restart
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+exit 0
+
+
Index: package_tags/xvm-mail-config/0.0.5/debian/xvm-mail-config.preinst
===================================================================
--- package_tags/xvm-mail-config/0.0.5/debian/xvm-mail-config.preinst	(revision 1685)
+++ package_tags/xvm-mail-config/0.0.5/debian/xvm-mail-config.preinst	(revision 1685)
@@ -0,0 +1,42 @@
+#!/bin/sh
+# preinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+        # Pre-seed debconf with the option to shut up postfix's
+        # debconf frontend
+        debconf-set-selections <<EOF
+postfix	postfix/main_mailer_type	select	No configuration
+EOF
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
Index: package_tags/xvm-mail-config/0.0.5/main.cf.xvm
===================================================================
--- package_tags/xvm-mail-config/0.0.5/main.cf.xvm	(revision 1685)
+++ package_tags/xvm-mail-config/0.0.5/main.cf.xvm	(revision 1685)
@@ -0,0 +1,6 @@
+# Note that these are the only settings we need to put in - everything
+# else has a reasonable default
+relayhost = outgoing.mit.edu
+mynetworks = 127.0.0.0/8 [::ffff:127.0.0.0]/104 [::1]/128 10.5.128.0/24
+mailbox_size_limit = 0
+recipient_delimiter = +
Index: package_tags/xvm-mail-config/0.0.5/xvm-mail-relay
===================================================================
--- package_tags/xvm-mail-config/0.0.5/xvm-mail-relay	(revision 1685)
+++ package_tags/xvm-mail-config/0.0.5/xvm-mail-relay	(revision 1685)
@@ -0,0 +1,2 @@
+#!/bin/bash
+formail -i "To: xvm-root@mit.edu" | sendmail -f "root@$(hostname -f)" xvm-root@mit.edu