Index: trunk/packages/invirt-vnc-client/debian/copyright
===================================================================
--- trunk/packages/invirt-vnc-client/debian/copyright	(revision 1790)
+++ trunk/packages/invirt-vnc-client/debian/copyright	(revision 1792)
@@ -1,65 +1,156 @@
 The original source code for this package was downloaded from
-	http://www.tightvnc.com/
-and the original copyright statement follows below.
+http://www.tightvnc.com/.
 
-Subsequent changes to this package were written as part of the Invirt
-project <invirt@mit.edu>, and are released under the GNU General Public
-License, either version 2 of the license, or (at your option) any
-later version.
 
-Upstream copyright statement:
+Authors, Copyright Holders, and Licenses
+========================================
 
-Copyright (C) 2001,2002 HorizonLive.com, Inc.  All Rights Reserved.
-Copyright (C) 2001,2002 Constantin Kaplinsky.  All Rights Reserved.
+debian/patches/*
+----------------
+
+all files and changes not below
+...............................
+
+This software was written as part of the Invirt project <invirt@mit.edu>.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
+
+portions of InvirtTrustManager.java
+...................................
+
+    Copyright 2006 Perry Nguyen <pfnguyen@hanhuy.com>
+    Licensed under the Apache License, Version 2.0 (the "License");
+    you may not use this file except in compliance with the License.
+    You may obtain a copy of the License at
+
+        http://www.apache.org/licenses/LICENSE-2.0
+
+    Unless required by applicable law or agreed to in writing, software
+    distributed under the License is distributed on an "AS IS" BASIS,
+    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+    See the License for the specific language governing permissions and
+    limitations under the License.
+
+SocketWrapper.java
+..................
+
+  Written by Dawid Kurzyniec and released to the public domain, as
+  explained at http://creativecommons.org/licenses/publicdomain
+
+portions of VNCProxyConnectSocket*.java
+.......................................
+
+  Copyright (C) 2002 Constantin Kaplinsky, Inc.  All Rights Reserved.
+
+  This is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This software is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+
+all upstream files but DesCipher.java
+-------------------------------------
+
+These files have subsets of the following copyrights, and the
+following license.
+
+Copyright (C) 2004 Horizon Wimba.  All Rights Reserved.
+Copyright (C) 2002-2005 RealVNC Ltd.  All Rights Reserved.
+Copyright (C) 2002 Cendio Systems.  All Rights Reserved.
+Copyright (C) 2001-2004 HorizonLive.com, Inc.  All Rights Reserved.
+Copyright (C) 2001-2006 Constantin Kaplinsky.  All Rights Reserved.
+Copyright (C) 2000 Tridia Corporation.  All Rights Reserved.
 Copyright (C) 1999 AT&T Laboratories Cambridge.  All Rights Reserved.
 
-This software is distributed under the GNU General Public Licence as published
-by the Free Software Foundation.  See the file LICENCE.TXT for the conditions
-under which this software is made available.  VNC also contains code from other
-sources.  See the Acknowledgements section (see README), and the individual
-files for details of the conditions under which they are made available.
+    This is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This software is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
 
 On Debian Linux systems, the complete text of the GNU General Public
 License can be found in '/usr/share/common-licenses/GPL'.
 
-ACKNOWLEDGEMENTS
-================
 
-This distribution contains public domain DES software by Richard
-Outerbridge.
-This is:
+DesCipher.java
+--------------
 
-    Copyright (c) 1988,1989,1990,1991,1992 by Richard Outerbridge.
-    (GEnie : OUTER; CIS : [71755,204]) Graven Imagery, 1992.
+The authors are Dave Zimmerman <dzimm@widget.com> and Jef Poskanzer
+<jef@acme.com>.  The file has the following copyright notices and licenses:
+
+    Copyright (C) 1999 AT&T Laboratories Cambridge.  All Rights Reserved.
+
+    This software is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
 
-This distribution contains software from the X Window System, Version 11,
-Release 6.  This is:
+    Copyright (c) 1996 Widget Workshop, Inc. All Rights Reserved.
 
-    Copyright (C) 1994 X Consortium
+    Permission to use, copy, modify, and distribute this software and its
+    documentation for NON-COMMERCIAL or COMMERCIAL purposes and without fee
+    is hereby granted, provided that this copyright notice is kept intact.
 
-    Permission is hereby granted, free of charge, to any person obtaining a
-    copy of this software and associated documentation files (the
-    "Software"), to deal in the Software without restriction, including
-    without limitation the rights to use, copy, modify, merge, publish,
-    distribute, sublicense, and/or sell copies of the Software, and to
-    permit persons to whom the Software is furnished to do so, subject to
-    the following conditions:
+    WIDGET WORKSHOP MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE
+    SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT
+    NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
+    PARTICULAR PURPOSE, OR NON-INFRINGEMENT. WIDGET WORKSHOP SHALL NOT BE
+    LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
+    MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 
-    The above copyright notice and this permission notice shall be included
-    in all copies or substantial portions of the Software.
+    THIS SOFTWARE IS NOT DESIGNED OR INTENDED FOR USE OR RESALE AS ON-LINE
+    CONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE
+    PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT
+    NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE
+    SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE
+    SOFTWARE COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE
+    PHYSICAL OR ENVIRONMENTAL DAMAGE ("HIGH RISK ACTIVITIES").  WIDGET
+    WORKSHOP SPECIFICALLY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY OF
+    FITNESS FOR HIGH RISK ACTIVITIES.
 
-    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
-    OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
-    IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
-    OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
-    ARISING FROM, OUT OF OR IN CONNEC- TION WITH THE SOFTWARE OR THE USE OR
-    OTHER DEALINGS IN THE SOFTWARE.
 
-    Except as contained in this notice, the name of the X Consortium shall
-    not be used in advertising or otherwise to promote the sale, use or
-    other deal- ings in this Software without prior written authorization
-    from the X Consor- tium.
+    Copyright (C) 1996 by Jef Poskanzer <jef@acme.com>.  All rights
+    reserved.
 
-    X Window System is a trademark of X Consortium, Inc.
+    Redistribution and use in source and binary forms, with or without
+    modification, are permitted provided that the following conditions
+    are met:
+    1. Redistributions of source code must retain the above copyright
+       notice, this list of conditions and the following disclaimer.
+    2. Redistributions in binary form must reproduce the above copyright
+       notice, this list of conditions and the following disclaimer in the
+       documentation and/or other materials provided with the distribution.
+
+    THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+    ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+    IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+    PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS
+    BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+    CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+    SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
+    BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+    WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+    OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+    ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.