Index: package_tags/xvm-meta/0.0.3/debian/changelog
===================================================================
--- package_tags/xvm-meta/0.0.3/debian/changelog	(revision 1919)
+++ package_tags/xvm-meta/0.0.3/debian/changelog	(revision 1919)
@@ -0,0 +1,19 @@
+xvm-meta (0.0.3) unstable; urgency=low
+
+  * Take on invirt-cluster-config, xvm-iscsi-config dependencies
+
+ -- Greg Price <price@mit.edu>  Sat, 27 Dec 2008 00:38:38 -0500
+
+xvm-meta (0.0.2) unstable; urgency=low
+
+  * factor out xvm-misc-config
+  * add apticron, molly-guard
+  * trivial spelling, punctuation
+
+ -- Greg Price <price@mit.edu>  Fri, 26 Dec 2008 23:54:01 -0500
+
+xvm-meta (0.0.1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 06 Dec 2008 21:41:50 -0500
Index: package_tags/xvm-meta/0.0.3/debian/compat
===================================================================
--- package_tags/xvm-meta/0.0.3/debian/compat	(revision 1919)
+++ package_tags/xvm-meta/0.0.3/debian/compat	(revision 1919)
@@ -0,0 +1,1 @@
+5
Index: package_tags/xvm-meta/0.0.3/debian/control
===================================================================
--- package_tags/xvm-meta/0.0.3/debian/control	(revision 1919)
+++ package_tags/xvm-meta/0.0.3/debian/control	(revision 1919)
@@ -0,0 +1,43 @@
+Source: xvm-meta
+Section: servers
+Priority: extra
+Maintainer: SIPB XVM Project <xvm@mit.edu>
+Build-Depends: cdbs, debhelper (>= 5)
+Standards-Version: 3.8.0
+
+Package: xvm-host
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-host-master,
+ xvm-munin-host-config, invirt-cluster-config, xvm-iscsi-config, xvm-misc-config
+Description: Metapackage for XVM hosts
+ This package installs the necessary software to run an XVM host.
+
+Package: xvm-master
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-database-server,
+ invirt-dev, invirt-web,
+ xvm-munin-master-config, xvm-db-backup, xvm-misc-config
+Description: Metapackage for the XVM master VM
+ This package installs the necessary software for the XVM master VM,
+ which includes the database server and the web server.
+
+Package: xvm-console
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-console-server,
+ xvm-munin-console-config, xvm-misc-config
+Description: Metapackage for the XVM console VM
+ This package installs the necessary software for the XVM console
+ server.
+
+Package: xvm-remote
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-remote-server,
+ xvm-munin-remote-config, xvm-misc-config
+Description: Metapackage for the VM remote VM
+ This package installs the necessary software for the XVM remctl proxy.
+
+Package: xvm-misc-config
+Architecture: all
+Depends: xvm-mail-config, molly-guard, apticron
+Description: Miscellaneous XVM configuration
+ This package configures some things every XVM machine needs.
Index: package_tags/xvm-meta/0.0.3/debian/copyright
===================================================================
--- package_tags/xvm-meta/0.0.3/debian/copyright	(revision 1919)
+++ package_tags/xvm-meta/0.0.3/debian/copyright	(revision 1919)
@@ -0,0 +1,17 @@
+This software was written for the XVM project <xvm@mit.edu>
+of the MIT Student Information Processing Board.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/xvm-meta/0.0.3/debian/rules
===================================================================
--- package_tags/xvm-meta/0.0.3/debian/rules	(revision 1919)
+++ package_tags/xvm-meta/0.0.3/debian/rules	(revision 1919)
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk