Index: package_tags/invirt-manual-config/0.0.2/config.todo
===================================================================
--- package_tags/invirt-manual-config/0.0.2/config.todo	(revision 1998)
+++ package_tags/invirt-manual-config/0.0.2/config.todo	(revision 1998)
@@ -0,0 +1,3 @@
+kerberos.realm
+zone: ns1; toplevel in SOA
+zone: contact address in SOA
Index: package_tags/invirt-manual-config/0.0.2/debian/changelog
===================================================================
--- package_tags/invirt-manual-config/0.0.2/debian/changelog	(revision 1998)
+++ package_tags/invirt-manual-config/0.0.2/debian/changelog	(revision 1998)
@@ -0,0 +1,13 @@
+invirt-manual-config (0.0.2) unstable; urgency=low
+
+  * Add a default master.yaml and zone.  Also a config.todo, because these
+    aren't ready yet.
+
+ -- Greg Price <price@mit.edu>  Thu, 01 Jan 2009 00:52:20 -0500
+
+invirt-manual-config (0.0.1) unstable; urgency=low
+
+  * First version.
+
+ -- Greg Price <price@mit.edu>  Fri, 26 Dec 2008 23:34:01 -0500
+
Index: package_tags/invirt-manual-config/0.0.2/debian/compat
===================================================================
--- package_tags/invirt-manual-config/0.0.2/debian/compat	(revision 1998)
+++ package_tags/invirt-manual-config/0.0.2/debian/compat	(revision 1998)
@@ -0,0 +1,1 @@
+5
Index: package_tags/invirt-manual-config/0.0.2/debian/control
===================================================================
--- package_tags/invirt-manual-config/0.0.2/debian/control	(revision 1998)
+++ package_tags/invirt-manual-config/0.0.2/debian/control	(revision 1998)
@@ -0,0 +1,17 @@
+Source: invirt-manual-config
+Section: base
+Priority: extra
+Maintainer: Invirt Project <invirt@mit.edu>
+Build-Depends: cdbs, debhelper (>= 5)
+Standards-Version: 3.8.0
+
+Package: invirt-manual-config
+Architecture: all
+Provides: invirt-config
+Conflicts: invirt-config
+Depends: invirt-base
+Description: manual configuration for Invirt
+ This satisfies Invirt's dependency on invirt-config, without actually
+ configuring Invirt.  Use this package if you wish to configure Invirt
+ by supplying configuration files directly rather than by supplying a
+ package to do so.
Index: package_tags/invirt-manual-config/0.0.2/debian/copyright
===================================================================
--- package_tags/invirt-manual-config/0.0.2/debian/copyright	(revision 1998)
+++ package_tags/invirt-manual-config/0.0.2/debian/copyright	(revision 1998)
@@ -0,0 +1,16 @@
+This software was written as part of the Invirt project <invirt@mit.edu>.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/invirt-manual-config/0.0.2/debian/invirt-manual-config.install
===================================================================
--- package_tags/invirt-manual-config/0.0.2/debian/invirt-manual-config.install	(revision 1998)
+++ package_tags/invirt-manual-config/0.0.2/debian/invirt-manual-config.install	(revision 1998)
@@ -0,0 +1,2 @@
+master.yaml etc/invirt
+zone etc/invirt
Index: package_tags/invirt-manual-config/0.0.2/debian/rules
===================================================================
--- package_tags/invirt-manual-config/0.0.2/debian/rules	(revision 1998)
+++ package_tags/invirt-manual-config/0.0.2/debian/rules	(revision 1998)
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
Index: package_tags/invirt-manual-config/0.0.2/master.yaml
===================================================================
--- package_tags/invirt-manual-config/0.0.2/master.yaml	(revision 1998)
+++ package_tags/invirt-manual-config/0.0.2/master.yaml	(revision 1998)
@@ -0,0 +1,26 @@
+web:
+ hostname: localhost
+ ip: 127.0.0.1
+
+remote:
+ hostname: localhost
+ ip: 127.0.0.1
+
+kerberos:
+ realm: CSAIL.MIT.EDU
+
+db:
+ uri: postgres://invirt@localhost/invirt
+ host: localhost
+ ip: 127.0.0.1
+ port: 5432
+ user: invirt
+ dbname: invirt
+
+hosts:
+ - hostname: localhost
+   ip: 127.0.0.1
+
+console:
+ hostname: localhost
+ ip: 127.0.0.1
Index: package_tags/invirt-manual-config/0.0.2/todo
===================================================================
--- package_tags/invirt-manual-config/0.0.2/todo	(revision 1998)
+++ package_tags/invirt-manual-config/0.0.2/todo	(revision 1998)
@@ -0,0 +1,9 @@
+Ultimately the service should work right after installing, if you
+install -database and -remote and -web and have a keytab.
+Maybe we want an invirt-all that pulls these together.
+
+localhost doesn't work for Kerberos
+  generate with hostname -f in postinst?
+  fails in simultaneous install
+
+allow to disable web-iptables
Index: package_tags/invirt-manual-config/0.0.2/zone
===================================================================
--- package_tags/invirt-manual-config/0.0.2/zone	(revision 1998)
+++ package_tags/invirt-manual-config/0.0.2/zone	(revision 1998)
@@ -0,0 +1,17 @@
+@       900     IN      SOA     xvm.mit.edu. xvm.mit.edu. (
+        2
+        1d
+        1d
+        1d
+        1d
+        )
+
+ns1             IN      A       18.181.0.62
+help            IN      TXT     "reserved for help with the remctl command"
+
+localhost       IN      TXT     "reserved to prevent confusion with your own computer"
+localdomain     IN      TXT     "reserved to prevent confusion with your own computer"
+broadcasthost   IN      TXT     "reserved to prevent confusion with your own computer"
+
+wpad            IN      TXT     "reserved to prevent confusion with common services"
+www             IN      TXT     "reserved to prevent confusion with common services"