Index: package_tags/xvm-devconfig/0.20/debian/changelog
===================================================================
--- package_tags/xvm-devconfig/0.20/debian/changelog	(revision 2046)
+++ package_tags/xvm-devconfig/0.20/debian/changelog	(revision 2046)
@@ -0,0 +1,125 @@
+xvm-devconfig (0.20) unstable; urgency=low
+
+  * Install the dev cluster .k5login.
+  * Fix the maintainer field.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 03:14:06 -0500
+
+xvm-devconfig (0.19) unstable; urgency=low
+
+  * Punt unnecessarily deep files/ directory structure.
+
+ -- Evan Broder <broder@mit.edu>  Fri, 30 Jan 2009 20:01:03 -0500
+
+xvm-devconfig (0.18) unstable; urgency=low
+
+  * First draft of config for new dev cluster.
+
+ -- Greg Price <price@mit.edu>  Fri, 30 Jan 2009 07:03:47 -0500
+
+xvm-devconfig (0.17) unstable; urgency=low
+
+  * Activate the invirt-reload trigger instead of running invirt-reload
+    directly.
+
+ -- Evan Broder <broder@mit.edu>  Mon, 26 Jan 2009 08:10:45 -0500
+
+xvm-devconfig (0.16) unstable; urgency=low
+
+  * Prod launched! Move the development cluster to the dev names
+
+ -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 09:43:03 -0500
+
+xvm-devconfig (0.15) unstable; urgency=low
+
+  * Use xvm.mit.edu instead of sipb-xen-dev.mit.edu as the database
+    hostname
+
+ -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 05:57:46 -0400
+
+xvm-devconfig (0.14) unstable; urgency=low
+
+  * sipb-xen-base -> invirt-base
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:42 -0400
+
+xvm-devconfig (0.13) unstable; urgency=low
+
+  * sipb-xen-console -> xvm-console
+  * remote -> xvm-remote (at least canonically)
+
+ -- Evan Broder <broder@mit.edu>  Mon, 27 Oct 2008 14:25:13 -0400
+
+xvm-devconfig (0.12) unstable; urgency=low
+
+  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL
+
+ -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:47:40 -0400
+
+xvm-devconfig (0.11) unstable; urgency=low
+
+  * Change sx-blade-2 to torchwood-institute
+
+ -- Evan Broder <broder@mit.edu>  Tue, 30 Sep 2008 20:52:49 -0400
+
+xvm-devconfig (0.10) unstable; urgency=low
+
+  * Added dev.xvm.mit.edu domain for sipb-xen-dns.
+
+ -- Yang Zhang <y_z@mit.edu>  Mon, 25 Aug 2008 01:04:29 -0400
+
+xvm-devconfig (0.9) unstable; urgency=low
+
+  * added configs for sipb-xen-www
+
+ -- Yang Zhang <y_z@mit.edu>  Fri,  8 Aug 2008 02:40:16 -0400
+
+xvm-devconfig (0.8) unstable; urgency=low
+
+  * add more config for web interface
+
+ -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 23:25:24 -0400
+
+xvm-devconfig (0.7) unstable; urgency=low
+
+  * added dns.contact for sipb-xen-dns
+
+ -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:19:29 -0400
+
+xvm-devconfig (0.6) unstable; urgency=low
+
+  * added decomposition of DB URI (for sipb-xen-console)
+
+ -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 01:23:54 -0400
+
+xvm-devconfig (0.5) unstable; urgency=low
+
+  * remove deprecated /etc/invirt/{hosts,realm}
+  * add apt section with keyid
+  * add network section with gateway, netmask
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:17:57 -0400
+
+xvm-devconfig (0.4) unstable; urgency=low
+
+  * Put host hostnames in values, not keys.
+
+ -- Greg Price <price@mit.edu>  Sun, 27 Jul 2008 23:42:30 -0400
+
+xvm-devconfig (0.3) unstable; urgency=low
+
+  * Add a YAML version with much more info.
+
+ -- Greg Price <price@mit.edu>  Sun, 27 Jul 2008 17:43:33 -0400
+
+xvm-devconfig (0.2) unstable; urgency=low
+
+  * Add postinst to reload config.
+
+ -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 20:38:59 -0400
+
+xvm-devconfig (0.1) unstable; urgency=low
+
+  * First cut.  Has hosts and realm.
+
+ -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 18:56:49 -0400
Index: package_tags/xvm-devconfig/0.20/debian/compat
===================================================================
--- package_tags/xvm-devconfig/0.20/debian/compat	(revision 2046)
+++ package_tags/xvm-devconfig/0.20/debian/compat	(revision 2046)
@@ -0,0 +1,1 @@
+5
Index: package_tags/xvm-devconfig/0.20/debian/control
===================================================================
--- package_tags/xvm-devconfig/0.20/debian/control	(revision 2046)
+++ package_tags/xvm-devconfig/0.20/debian/control	(revision 2046)
@@ -0,0 +1,14 @@
+Source: xvm-devconfig
+Section: servers
+Priority: important
+Maintainer: SIPB XVM Project <xvm@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: xvm-devconfig
+Architecture: all
+Provides: invirt-config
+Conflicts: invirt-config
+Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-base (>= 0.0.19)
+Description: XVM dev-cluster config
+  This is the master configuration package for the XVM development cluster.
Index: package_tags/xvm-devconfig/0.20/debian/copyright
===================================================================
--- package_tags/xvm-devconfig/0.20/debian/copyright	(revision 2046)
+++ package_tags/xvm-devconfig/0.20/debian/copyright	(revision 2046)
@@ -0,0 +1,17 @@
+This software was written for the XVM project <xvm@mit.edu>
+of the MIT Student Information Processing Board.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/xvm-devconfig/0.20/debian/rules
===================================================================
--- package_tags/xvm-devconfig/0.20/debian/rules	(revision 2046)
+++ package_tags/xvm-devconfig/0.20/debian/rules	(revision 2046)
@@ -0,0 +1,8 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+
+binary-install/xvm-prodconfig::
+	# Versions of CDBS newer than ours do this for us
+	dh_lintian -pxvm-devconfig
+	install -m 0644 -D k5login $(DEB_DESTDIR)/root/.k5login
Index: package_tags/xvm-devconfig/0.20/debian/xvm-devconfig.install
===================================================================
--- package_tags/xvm-devconfig/0.20/debian/xvm-devconfig.install	(revision 2046)
+++ package_tags/xvm-devconfig/0.20/debian/xvm-devconfig.install	(revision 2046)
@@ -0,0 +1,1 @@
+master.yaml etc/invirt
Index: package_tags/xvm-devconfig/0.20/debian/xvm-devconfig.lintian-overrides
===================================================================
--- package_tags/xvm-devconfig/0.20/debian/xvm-devconfig.lintian-overrides	(revision 2046)
+++ package_tags/xvm-devconfig/0.20/debian/xvm-devconfig.lintian-overrides	(revision 2046)
@@ -0,0 +1,1 @@
+xvm-devconfig binary: file-in-unusual-dir root/.k5login
Index: package_tags/xvm-devconfig/0.20/debian/xvm-devconfig.triggers
===================================================================
--- package_tags/xvm-devconfig/0.20/debian/xvm-devconfig.triggers	(revision 2046)
+++ package_tags/xvm-devconfig/0.20/debian/xvm-devconfig.triggers	(revision 2046)
@@ -0,0 +1,1 @@
+activate invirt-reload
Index: package_tags/xvm-devconfig/0.20/k5login
===================================================================
--- package_tags/xvm-devconfig/0.20/k5login	(revision 2046)
+++ package_tags/xvm-devconfig/0.20/k5login	(revision 2046)
@@ -0,0 +1,18 @@
+andersk@ATHENA.MIT.EDU
+andersk/root@ATHENA.MIT.EDU
+broder@ATHENA.MIT.EDU
+broder/root@ATHENA.MIT.EDU
+ecprice@ATHENA.MIT.EDU
+ecprice/root@ATHENA.MIT.EDU
+geofft@ATHENA.MIT.EDU
+geofft/root@ATHENA.MIT.EDU
+hartmans@ATHENA.MIT.EDU
+hartmans/root@ATHENA.MIT.EDU
+price@ATHENA.MIT.EDU
+price/root@ATHENA.MIT.EDU
+quentin@ATHENA.MIT.EDU
+quentin/root@ATHENA.MIT.EDU
+tabbott@ATHENA.MIT.EDU
+tabbott/root@ATHENA.MIT.EDU
+y_z@ATHENA.MIT.EDU
+y_z/root@ATHENA.MIT.EDU
Index: package_tags/xvm-devconfig/0.20/master.yaml
===================================================================
--- package_tags/xvm-devconfig/0.20/master.yaml	(revision 2046)
+++ package_tags/xvm-devconfig/0.20/master.yaml	(revision 2046)
@@ -0,0 +1,52 @@
+kerberos:
+ realm: ATHENA.MIT.EDU
+
+authz:
+ - type: afs
+   cell: athena.mit.edu
+
+hosts: # hosts on which VMs run
+ - hostname: black-mesa.mit.edu
+   ip: 18.181.0.60
+
+db:
+ uri: postgres://invirt@xvm-dev.mit.edu/invirt
+ host: xvm-dev.mit.edu
+ ip: 18.181.0.80
+ port: 5432
+ user: invirt
+ dbname: invirt
+
+console:
+ hostname: xvm-console-dev.mit.edu
+ ip: 18.181.0.230
+
+remote:
+ hostname: xvm-remote-dev.mit.edu
+ ip: 18.181.0.231
+
+dns:
+ contact: xvm@mit.edu
+ domains:  # first one is advertised
+  - dev.xvm.mit.edu
+ nameservers:
+  - hostname: xvm-dev.mit.edu
+    ip: 18.181.0.80
+ rootip: 18.181.0.80
+ passup:
+  - _vlmcs._tcp
+ parent: mit.edu
+
+network:
+ gateway: 18.181.0.1
+ netmask: 255.255.0.0
+
+web:
+ baseuri: https://xvm-dev.mit.edu/
+ hostname: xvm-dev.mit.edu
+ errormail: xvm@mit.edu
+ adminacl: system:xvm
+ errormail_exclude:
+  - price
+  - ecprice
+  - andersk